Subject: Re: [PATCH v2] remote-bzr: reuse bzrlib transports when possible

From: Richard Hansen <[email-masked]>
Date: Thu, 12 Sep 2013 17:05:16 -0400

On 2013-09-10 18:01, Junio C Hamano wrote:
> Junio C Hamano <[email-masked]> writes:
> 
>> Richard Hansen <[email-masked]> writes:
>>
>>>  def do_export(parser):
>>> -    global parsed_refs, dirname
>>> +    global parsed_refs, dirname, transports
>>
>> As this has been acked by Felipe who knows the script the best, I'll
>> apply this directly to 'master'.
>>
>> These additions of "global transports" however have trivial
>> interactions with fc/contrib-bzr-hg-fixes topic Felipe posted
>> earlier, which I was planning to start merging down to 'next' and
>> then to 'master'.  Most funcions merely use the variable without
>> assigning, so "global transports" can be removed, in line with the
>> spirit of 641a2b5b (remote-helpers: cleanup more global variables,
>> 2013-08-28), except for the obvious initialisation in main(), I
>> think.  Please double check the conflict resolution result in a
>> commit on 'pu' with
>>
>>     git show 'origin/pu^{/Merge fc/contrib-bzr}'
>>
>> when I push the result out.
>>
>> Thanks.
> 
> Ping?  I'd like to merge fc/contrib-bzr.hg-fixes topic to 'next'
> (and fast track it to 'master' after that), and it would be helpful
> to get an Ack on the conflict resolution I have.

Sorry for the delay.

Looks good to me, and the tests still pass.

-Richard